package com.rjconsultores.ventaboletos.web.utilerias.render;

import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

import com.rjconsultores.ventaboletos.entidad.InscricaoEstadual;

/**
 * @author Valdir Cordeiro <valdir@rjconsultores.com.br>
 * 
 * 29 de mai de 2018
 */
public class RenderEmpresaInscricaoEstadual  implements ListitemRenderer {

	@Override
	public void render(Listitem listItem, Object item) throws Exception {		
		
		Listcell lc = new Listcell();
		
		if(item != null) {
			InscricaoEstadual inscricaoEstadual = (InscricaoEstadual) item;
									
			lc = new Listcell(inscricaoEstadual.getEstado() != null ? inscricaoEstadual.getEstado().getNombestado() : "");
			lc.setParent(listItem);					
			lc = new Listcell(inscricaoEstadual.getNumInscricaoEstadual() != null ? inscricaoEstadual.getNumInscricaoEstadual() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getNumInscricaoMunicipal() != null ? inscricaoEstadual.getNumInscricaoMunicipal() : "ISENTO");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getCidade() != null ? inscricaoEstadual.getCidade().getNombciudad() : "");
			lc.setParent(listItem);				
			lc = new Listcell(inscricaoEstadual.getCnpj() != null ? inscricaoEstadual.getCnpj() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getLogradouro() != null ? inscricaoEstadual.getLogradouro() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getNumero() != null ? inscricaoEstadual.getNumero() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getComplemento() != null ? inscricaoEstadual.getComplemento() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getCep() != null ? inscricaoEstadual.getCep() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getBairro() != null ? inscricaoEstadual.getBairro() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getEquivalenciaAG() != null ? inscricaoEstadual.getEquivalenciaAG() : "");
			lc.setParent(listItem);
			lc = new Listcell(inscricaoEstadual.getIsBPe() != null && inscricaoEstadual.getIsBPe() ? "Sim" : "Não");
			lc.setParent(listItem);
			
			listItem.setAttribute("data", inscricaoEstadual);		
		}
	}

}
